Subject: RE: Comments on draft-ding-netmod-arp-yang-model

From: "dingxiaojian (A)" <[email-masked]>
Date: Sat, 23 Dec 2017 09:37:57 +0000

Hi Reshad,
Thank you for your kind suggestions. Sorry for the delay, as I missed this mail in the wrong category. Please find my answers below.

  1.  Please look at the NMDA guidelines. I think e.g. you’d need to merge arp-static-tables and arp-tables into 1 table.
DXJ>> This is indeed the problem of this draft. However, the two tables cannot simply merged because the key "ip-address" of the new table cannot meet the requirement of arp entries inquiry. After discussion, we hold the arp-static-table and use the ‘augment’ to / interfaces-state / interface / ipv4 / neighbor of RFC 7277 to realize the ability of arp entries inquiry.

  1.  The tables have vrf-name as key. Take a look at draft-ietf-rtgwg-ni-model and how it is used by other YANG models.
DXJ>> based on the revision of arp-static-tables, vrf-name is not used as the key of arp-static-tables any more. In our opinion, arp static entries can be configured by ip-addr + mac-addr or vrf+ip-addr. The revised arp-static-tables realize the ability of configuration by ip-addr + mac-addr. For the first choice, static ARP table has been defined in /if:interfaces/if:interface/ip:ipv4/ip:neighbor.

Best regards,
Xiaojian

From: Reshad Rahman (rrahman) [mailto:[email-masked]]
Sent: Thursday, November 16, 2017 2:45 PM
To: [email-masked]
Cc: [email-masked]
Subject: Comments on draft-ding-netmod-arp-yang-model

Hi,

Took a quick look, 2 main comments:

  1.  Please look at the NMDA guidelines. I think e.g. you’d need to merge arp-static-tables and arp-tables into 1 table.
  2.  The tables have vrf-name as key. Take a look at draft-ietf-rtgwg-ni-model and how it is used by other YANG models.

Regards,
Reshad.